version: '3.8'

services:
    app:
      build:
        context: .
        dockerfile: Dockerfile
      container_name: matdash
      restart: always
      ports:
        - "3001:3001"
      environment:
        KEYCLOAK_CLIENT_ID: "nuxtsim-pendaftaran"
        KEYCLOAK_CLIENT_SECRET: "32HslhZ8Hn97SsbxcmowhXvmNZ9cPGNE"
        KEYCLOAK_ISSUER: "https://auth.rssa.top/realms/sandbox"
        AUTH_SECRET: "z@Hw@29042020"
        AUTH_ORIGIN: "http://meninjar.dev.rssa.id:3000"

        # Development
        NODE_ENV: "development"
      # restart: always
      volumes:
        - .:/app
        - /app/node_modules # Hindari konflik node_modules antara host dan container